gcc < 2.8 does not support ultrasparc.
authorUlf Möller <ulf@openssl.org>
Tue, 18 May 1999 23:44:38 +0000 (23:44 +0000)
committerUlf Möller <ulf@openssl.org>
Tue, 18 May 1999 23:44:38 +0000 (23:44 +0000)
config

diff --git a/config b/config
index 075e0c2..428fe62 100755 (executable)
--- a/config
+++ b/config
@@ -330,6 +330,15 @@ case "$GUESSOS" in
   *) OUT=`echo $GUESSOS | awk -F- '{print $3}'`;;
 esac
 
+# gcc < 2.8 does not support -mcpu=ultrasparc
+if [ "$OUT" = solaris-usparc-gcc ]
+then
+ if [ `echo "$GCCVER" | sed 's/.*version //;s/\.//;s/\..*//'` -lt 28 ]
+ then
+  OUT=solaris-sparc-gcc
+ fi
+fi
+
 case "$GUESSOS" in
   i386-*) options="$options 386" ;;
 esac